# PSF-LoginServer - master - net.psforever.objects.serverobject.repair.RepairableAmenity
PSF - LoginServer - master - net.psforever.objects.serverobject.repair.RepairableAmenity
Keywords: PSF LoginServer master net.psforever.objects.serverobject.repair.RepairableAmenity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package repair
  Definition Classes
    serverobject
- AmenityAutoRepair
- Repairable
- RepairableAmenity
- RepairableEntity
- RepairableVehicle
- RepairableWeaponTurret

t

net.psforever.objects.serverobject.repair

# RepairableAmenity 

###
Companion object RepairableAmenity

#### trait RepairableAmenity extends RepairableEntity

The "control" `Actor` mixin for repair-handling code for the majority of `Repairable` `Amenity` objects installed in a facility or a field tower.

Source
  RepairableAmenity.scala

Linear Supertypes
RepairableEntity, Repairable, AnyRef, Any
Known Subclasses
ProximityTerminalControl, TerminalControl, SpawnTubeControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RepairableAmenity
2. RepairableEntity
3. Repairable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def RepairableObject: Amenity

   Contextual access to the object being the target of this damage.

   Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

   returns

     the entity controlled by this actor

   Definition Classes
     RepairableAmenity → Repairable

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CanBeRepairedByNanoDispenser(player: Player, item: Tool): Unit

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user.

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user. If the checks pass, perform the repair.

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   Definition Classes
     RepairableEntity → Repairable
5.  def CanPerformRepairs(target: Target, player: Player, item: Tool): Boolean

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted.

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted. It is not necessary to check that the tool and its ammunition are correct types; that test was already performed.
   The target entity must be repairable and have less than full health and, if it is destroyed, must have an object attribute that permits it to be repaired after being destroyed.
   The user must have the same faction affinity as the target entity or be neutral.
   The equipment must have some ammunition.
   The user must be alive and be within a certain distance of the target entity.

   target

     the entity being repaired

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   returns

     `true`, if the target entity can be repaired; `false`, otherwise

   Attributes
     protected
   Definition Classes
     RepairableEntity
   See also

     `org.log4s.getLogger`

     `PlanetSideEmpire`

     `Vector3.Distance`

     `VitalityDefinition`

6.  def PerformRepairs(target: Target, amount: Int): Int
   Attributes
     protected
   Definition Classes
     RepairableEntity
7.  def PerformRepairs(target: Target, player: Player, item: Tool): Unit

   Calculate the health points change and enact that repair action if the targets are stationary.

   Calculate the health points change and enact that repair action if the targets are stationary. Restore the target entity to a not destroyed state if applicable. Always show the repair progress bar window by using the appropriate packet.

   target

     the entity being repaired

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   Attributes
     protected
   Definition Classes
     RepairableEntity
   See also

     `AvatarAction.PlanetsideAttributeToAll`

     `AvatarAction.SendResponse`

     `AvatarService`

     `InventoryStateMessage`

     `PlanetSideGameObject.isMoving`

     `RepairMessage`

     `Service.defaultPlayerGUID`

     `Tool.Discharge`

     `Zone.AvatarEvents`

8.  def RepairToolValue(item: Tool): Float

   The amount of repair that any specific tool provides.

   The amount of repair that any specific tool provides.

   item

     the tool in question

   returns

     an amount to add to the repair attempt progress

   Definition Classes
     RepairableAmenity → Repairable
   See also

     `Repairable.Quality`

9.  def Restoration(obj: Target): Unit

   The entity is no longer destroyed.

   The entity is no longer destroyed.

   obj

     the entity

   Definition Classes
     RepairableAmenity → Repairable
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  final val canBeRepairedByNanoDispenser: Receive

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    Definition Classes
      Repairable
    See also

      `Ammo`

      `CanBeRepairedByNanoDispenser`

      `CommonMessages.Use`

      `GlobalDefinitions`

      `Tool.AmmoType`

12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from RepairableEntity

### Inherited from Repairable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped